Skip to main content
`Ctrl`+`K`
scipy.spatial.

# Rectangle

class scipy.spatial.Rectangle(maxes, mins)

  Hyperrectangle class.

  Represents a Cartesian product of intervals.

  Methods

  `max_distance_point`(x[, p]) | Return the maximum distance between input and points in the hyperrectangle.
  `max_distance_rectangle`(other[, p]) | Compute the maximum distance between points in the two hyperrectangles.
  `min_distance_point`(x[, p]) | Return the minimum distance between input and points in the hyperrectangle.
  `min_distance_rectangle`(other[, p]) | Compute the minimum distance between points in the two hyperrectangles.
  `split`(d, split) | Produce two hyperrectangles by splitting.
  `volume`() | Total volume.